Package Details: hledger-ui-bin 1.21-4

Git Clone URL: https://aur.archlinux.org/hledger-bin.git (read-only, click to copy)
Package Base: hledger-bin
Description: Curses-style terminal interface for the hledger accounting system
Upstream URL: http://hledger.org
Keywords: hledger ledger
Licenses: GPL
Conflicts: hledger-ui
Provides: hledger-ui
Submitter: ccat3z
Maintainer: ccat3z
Last Packager: ccat3z
Votes: 3
Popularity: 0.97
First Submitted: 2020-08-22 05:39
Last Updated: 2021-05-31 05:47

Latest Comments

1 2 Next › Last »

ccat3z commented on 2021-05-31 05:50

@behonest It should work on non-English systems now.

behonest commented on 2021-05-20 08:44

Solved this issue by using en locale.

If ru_RU LANG:

==> Запускается prepare()...
Patch hledger
./patch-ncurses5.sh: строка 30: 0x00002d34 + : синтаксическая ошибка: ожидается операнд (неверный маркер «+ »)

To solve just use 'en' LANG:

LANG=en makepkg -si

dude commented on 2021-05-14 00:56

Thanks for fixing that so quickly

samhh commented on 2021-05-13 14:28

The updated package works after clearing my cache, thanks both!

ccat3z commented on 2021-05-13 14:11

@samhh Fixed in 1.21-3. xxd was replaced by od in package coreutils.

ccat3z commented on 2021-05-13 13:21

@dude @samhh Since xxd is part of vim, adding xxd-standalone to makedepends may cause problems for vim users. I am trying to replace xxd with a similar tool (like hexdump).

dude commented on 2021-05-13 13:09

@samhh I realized I'm actually having the same issue. For some reason '91023' is listed as one of the shared libraries, and of course since that's not the name of a shared object file, it's unable to load. The issue is resolved for me after installing the xxd-standalone package and then rebuilding though. Otherwise I get those xxd command not found errors. So that package should probably be added to makedepends.

I think if you clear out your AUR package cache and then rebuild while xxd is installed, it should work.

samhh commented on 2021-05-13 12:46

I'm running Arch, and this did used to work for me, so I can only assume I've done something silly to break it!

During installation I see some errors:

==> Starting prepare()...
Patch hledger
./patch-ncurses5.sh: line 25: xxd: command not found
./patch-ncurses5.sh: line 36: xxd: command not found
Patch hledger-ui
./patch-ncurses5.sh: line 25: xxd: command not found
./patch-ncurses5.sh: line 36: xxd: command not found
Patch hledger-web
./patch-ncurses5.sh: line 25: xxd: command not found
./patch-ncurses5.sh: line 36: xxd: command not found
==> Sources are ready.

I installed xxd-standalone to see if it'd help. The error messages went away during installation but hledger still wouldn't open.

dude commented on 2021-05-13 12:19

@samhh Are you running Arch or one of the derivative distros?

ccat3z commented on 2021-05-13 05:31

@samhh Cannot reproduce it in the latest ArchLinux. Can you send me the patched hledger binary?